# $Revision: 1.39 $, $Date: 2002/10/07 15:14:36 $
# Conditional builds
# _without_x509
# _with_smp
# _with_oldconfig

%define x509ver		 x509patch-0.9.11

Summary:	Free IPSEC implemetation
Summary(pl):	Publicznie dostpna implementacja IPSEC
Name:		freeswan
Version:	1.97
Release:	1
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://ftp.xs4all.nl/pub/crypto/%{name}/%{name}-%{version}.tar.gz
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-pl-man-pages.tar.bz2
Source2:	http://www.strongsec.com/%{name}/%{x509ver}-%{name}-%{version}.tar.gz
Source3:	%{name}-kernel.config
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-manlink.patch
Patch2:		%{name}-config.patch
Patch3:		%{name}-init.patch
Patch4:		%{name}-keygen.patch
Patch5:		x509-config.patch
URL:		http://www.freeswan.org/
Prereq:		/sbin/chkconfig
Prereq:		rc-scripts
BuildRequires:	gmp-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires: 	gmp

%define x509 1
%{?_without_x509:%define x509 0}

%description
The basic idea of IPSEC is to provide security functions
(authentication and encryption) at the IP (Internet Protocol) level.
It will be required in IP version 6 (better known as IPng, the next
generation) and is optional for the current IP, version 4.

FreeS/WAN is a freely-distributable implementation of IPSEC protocol.
FreeS/WAN utilities%{?!_without_x509: compiled with X.509 certificate support}.

%description -l pl
Podstawowa idea IPSEC to zapewnienie funkcji bezpieczestwa
(autentykacji i szyfrowania) na poziomie IP. Bdzie wymagany do IP w
wersji 6 (znanego take jako IPng, IP nastpnej generacji) i jest
opcjonalny dla aktualnego IP, w wersji 4.

FreeS/WAN jest darmow implementacj protokou IPSEC.

%prep
%setup  -q -a2

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%{?!_without_x509:patch -p1 <%{x509ver}-%{name}-%{version}/freeswan.diff}
%{?!_without_x509:%patch5 -p1 }

%build

USERCOMPILE="%{rpmcflags}" ; export USERCOMPILE
OPT_FLAGS="%{rpmcflags}"; export OPT_FLAGS
CC=%{__cc}; export CC
%{__make} programs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/ipsec,/etc/rc.d/init.d,/var/run/pluto}

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

%if %{x509}
 install -d  $RPM_BUILD_ROOT%{_sysconfdir}/ipsec.d
 for i in crls cacerts private; do
  install -d  $RPM_BUILD_ROOT%{_sysconfdir}/ipsec.d/$i
done
for i in CHANGES README; do
  install  %{x509ver}-%{name}-%{version}/$i $i.x509 ;	
	gzip -9nf $i.x509 ;

done
%endif

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

gzip -9nf README CREDITS CHANGES BUGS \
          doc/{kernel.notes,impl.notes,examples,prob.report,standards} 
		


%post
# generate RSA private key... if, and only if, /etc/ipsec/ipsec.secrets does
# not already exist
if [ ! -f %{_sysconfdir}/ipsec/ipsec.secrets ];
then
    echo generate RSA private key...
    /usr/sbin/ipsec newhostkey --output %{_sysconfdir}/ipsec/ipsec.secrets
    chmod 600 %{_sysconfdir}/ipsec/ipsec.secrets
fi

/sbin/chkconfig --add ipsec
if [ -f /var/lock/subsys/ipsec ]; then
	/etc/rc.d/init.d/ipsec restart >&2
else
	echo "Run '/etc/rc.d/init.d/ipsec start' to start IPSEC services." >&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/ipsec ]; then
		/etc/rc.d/init.d/ipsec stop >&2
	fi
        /sbin/chkconfig --del ipsec >&2
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(644,root,root,755)
%doc *.gz doc/*.gz doc/*.html
%{?!_without_x509:%doc CHANGES.x509.gz README.x509.gz}
%{_mandir}/man*/*
%lang(pl) %{_mandir}/pl/man*/*
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/*
%dir %{_libdir}/ipsec
%attr(755,root,root) %{_libdir}/ipsec/*
%attr(751,root,root) %dir %{_sysconfdir}/ipsec
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/ipsec/*
%if %{x509}
%attr(0700,root,root) %dir %{_sysconfdir}/ipsec.d
%attr(0700,root,root) %dir %{_sysconfdir}/ipsec.d/crls
%attr(0700,root,root) %dir %{_sysconfdir}/ipsec.d/cacerts
%attr(0700,root,root) %dir %{_sysconfdir}/ipsec.d/private
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: freeswan.spec,v $
Revision 1.39  2002/10/07 15:14:36  dzimi
- remove BR: kernel-headers

Revision 1.38  2002/10/07 15:03:40  dzimi
- remove BR: kernel-source, kernel-doc

Revision 1.37  2002/10/07 14:58:55  dzimi
- rel 1
- fix /etc/rc.d/init.d/ipsec (fix in freeswan-init.patch)
- remove kernel-ipsec* build package (i'll do it in DEVEL branch)

Revision 1.36  2002/05/03 15:29:00  pioklo

- build ok but are  unresolved symbol in ipsec.o
- relase 0.5

Revision 1.35  2002/05/03 13:22:30  pioklo
-rename patch6

Revision 1.34  2002/05/03 13:09:32  pioklo
- some cosmetics

Revision 1.33  2002/05/03 11:44:41  pioklo

- started try to add ipsec module into freeswan package and remove it from kernel
- relase 0.4

Revision 1.32  2002/05/02 11:38:23  pioklo

- add CC  optymalizations flags,relase 0.3

Revision 1.31  2002/05/02 10:23:02  pioklo

- fix %build ,%prep, %install  section
- add config patch x509
- relase 0.2
- STBR -> test

Revision 1.30  2002/05/01 18:40:02  pioklo

- started update to 1.97
- add new patch x509 that enable certificate support for  FreeS/WAN
- some cosmetics
- relase 0.1

Revision 1.29  2002/04/23 20:21:59  kloczek
- relay release 2.

Revision 1.28  2002/04/21 13:45:53  radzio
- there where errors in rsa keys generation proces in %post; my mistake
- release 2

Revision 1.27  2002/03/18 13:54:17  kloczek
- release 1,
- adapterized.

Revision 1.26  2002/03/18 10:45:08  radzio

- updated to 1.96
- rel 6
- remove freeswan-Makefiles.patch
- add freeswan-Makefile.patch
- modify freeswan-config.patch

Revision 1.25  2002/03/13 16:00:31  radzio

- move rsa keys generation proces  from %build to %post
- rel++

Revision 1.22  2002/02/18 21:02:45  radzio

- rel 4

Revision 1.21  2002/02/18 14:02:24  radzio
- updated to 1.95
- move config files from /etc/freeswan to /etc/ipsec

Revision 1.20  2002/02/12 10:44:48  ankry
- adapterized; release 3

Revision 1.19  2002/02/12 03:01:56  kloczek
- adapterized.

Revision 1.18  2002/01/24 00:12:59  ankry
- added man-pages tar URL

Revision 1.17  2002/01/18 02:12:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/11/27 09:41:44  qboosh
- pl description, marked pl summary as pl; release 2

Revision 1.15  2001/11/26 14:53:34  ankry
- added pl man pages

Revision 1.14  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.12  2001/05/02 16:29:01  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.11  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.10  2000/12/12 18:26:20  waszi
- updated to 1.8 (this version support IPv6)

Revision 1.9  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.8  2000/07/12 16:54:58  jajcus
- typos

Revision 1.7  2000/07/12 16:50:55  kloczek
- added pl Summary and fiew cosmetics.

Revision 1.6  2000/07/12 15:34:20  jajcus
- version 1.5

Revision 1.5  2000/06/12 09:26:11  kloczek
- release 1.

Revision 1.4  2000/06/10 11:40:32  jajcus
- version 1.4

Revision 1.3  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/05/18 21:48:35  kloczek
- spec adapterized.

Revision 1.1  2000/04/25 13:31:11  jajcus
- initial spec
